%define name kfun21
%define	version 0.2
%define release 2mdk
%define kdedir %{_libdir}/kde1-compat

Name: %{name}
Summary: Play 21 against the clock.
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kfun21_menuentry
Source2: kpat-pixmaps.tar.bz2
Group: Games/Other
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt kdelibs

%description
KDE version of the card game 21.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{kdedir}
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make bindir=$RPM_BUILD_ROOT%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT%{_datadir}/icons/mini install

# (fg) Rename small icon
( cd $RPM_BUILD_ROOT%{_miconsdir} && mv mini-kfun21.xpm kfun21.xpm )

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}/kfun21

# (fc) Add icons from kpat program
mkdir -p $RPM_BUILD_ROOT%{kdedir}/share/apps/kpat/pics
(cd $RPM_BUILD_ROOT%{kdedir}/share/apps/kpat/pics ; tar xIf %{SOURCE2} )

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%{_bindir}/kfun21
%{_menudir}/kfun21
%{_iconsdir}/kfun21.xpm
%{_miconsdir}/kfun21.xpm
%{kdedir}/share/apps/kpat
%{_datadir}/doc/kde1/HTML/*/kfun21
#%dir /usr/share/locale/*/LC_MESSAGES
#/usr/share/locale/*/LC_MESSAGES/kfun21.mo

%changelog
* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-2mdk
- Update for kde1-compat 

* Thu Jun 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2-1mdk

- 0.2

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1-6mdk

- Added --disable-rpath in ./configure
- Fixed menu entry

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1-5mdk

- Don't use autogenerated file list
- Don't use prefix
- Added menu entry

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.


* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

